> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/triggers/aavev3/aavev3quotepricerangetrigger.md).

# AaveV3QuotePriceRangeTrigger

## Description

Trigger contract that verifies if current token price ratio is outside of given range specified during subscription

{% hint style="info" %}
Notes

* The contract computes the base/quote ratio by dividing the oracle prices of the two tokens.
* The trigger expects the `lowerPrice` and `upperPrice` inputs to be scaled by 1e8.
* It is possible to check only one side of the range by setting the other side price to `0`.
* Checks Aave V3 oracle for current prices and triggers if it's in a correct state.
  {% endhint %}

## Trigger ID

`0x1b12e080`

## SDK Action

```ts
const aaveV3QuotePriceRangeTrigger = new dfs.triggers.AaveV3QuotePriceRangeTrigger(
    baseTokenAddr,
    quoteTokenAddr,
    lowerPrice,
    upperPrice
);
```

## Subscription Parameters

```solidity
/// @param baseTokenAddr address of the base token which is quoted
/// @param quoteTokenAddr address of the quote token
/// @param lowerPrice lower price of the base token in terms of the quote token that represents the triggerable point.
/// @param upperPrice upper price of the base token in terms of the quote token that represents the triggerable point.
struct SubParams {
    address baseTokenAddr;
    address quoteTokenAddr;
    uint256 lowerPrice;
    uint256 upperPrice;
}
```

## Calldata Parameters

```solidity
None
```

## IsChangeable

`false`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/triggers/aavev3/aavev3quotepricerangetrigger.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
